# Blogger API . comments

## Instance Methods

Gets one comment by id.

Retrieves the comments for a blog, possibly filtered.

Retrieves the next page of results.

### Method Details

`get(blogId, postId, commentId)`

    Gets one comment by id.

    Args:
      blogId: string, ID of the blog to containing the comment. (required)
      postId: string, ID of the post to fetch posts from. (required)
      commentId: string, The ID of the comment to get. (required)

    Returns:
      An object of the form:

        {
        "content": "A String", # The actual content of the comment. May include HTML markup.
        "kind": "blogger#comment", # The kind of this entry. Always blogger#comment
        "inReplyTo": { # Data about the comment this is in reply to.
          "id": "A String", # The identified of the parent of this comment.
        },
        "author": { # The author of this Comment.
          "url": "A String", # The URL of the Comment creator's Profile page.
          "image": { # The comment creator's avatar.
            "url": "A String", # The comment creator's avatar URL.
          },
          "displayName": "A String", # The display name.
          "id": "A String", # The identifier of the Comment creator.
        },
        "updated": "A String", # RFC 3339 date-time when this comment was last updated.
        "blog": { # Data about the blog containing this comment.
          "id": "A String", # The identifier of the blog containing this comment.
        },
        "published": "A String", # RFC 3339 date-time when this comment was published.
        "post": { # Data about the post containing this comment.
          "id": "A String", # The identifier of the post containing this comment.
        },
        "id": "A String", # The identifier for this resource.
        "selfLink": "A String", # The API REST URL to fetch this resource from.
      }

`list(blogId, postId, startDate=None, fetchBodies=None, endDate=None, pageToken=None, maxResults=None)`

    Retrieves the comments for a blog, possibly filtered.

    Args:
      blogId: string, ID of the blog to fetch comments from. (required)
      postId: string, ID of the post to fetch posts from. (required)
      startDate: string, Earliest date of comment to fetch, a date-time with RFC 3339 formatting.
      fetchBodies: boolean, Whether the body content of the comments is included.
      endDate: string, Latest date of comment to fetch, a date-time with RFC 3339 formatting.
      pageToken: string, Continuation token if request is paged.
      maxResults: integer, Maximum number of comments to include in the result.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Pagination token to fetch the next page, if one exists.
        "items": [ # The List of Comments for a Post.
          {
            "content": "A String", # The actual content of the comment. May include HTML markup.
            "kind": "blogger#comment", # The kind of this entry. Always blogger#comment
            "inReplyTo": { # Data about the comment this is in reply to.
              "id": "A String", # The identified of the parent of this comment.
            },
            "author": { # The author of this Comment.
              "url": "A String", # The URL of the Comment creator's Profile page.
              "image": { # The comment creator's avatar.
                "url": "A String", # The comment creator's avatar URL.
              },
              "displayName": "A String", # The display name.
              "id": "A String", # The identifier of the Comment creator.
            },
            "updated": "A String", # RFC 3339 date-time when this comment was last updated.
            "blog": { # Data about the blog containing this comment.
              "id": "A String", # The identifier of the blog containing this comment.
            },
            "published": "A String", # RFC 3339 date-time when this comment was published.
            "post": { # Data about the post containing this comment.
              "id": "A String", # The identifier of the post containing this comment.
            },
            "id": "A String", # The identifier for this resource.
            "selfLink": "A String", # The API REST URL to fetch this resource from.
          },
        ],
        "kind": "blogger#commentList", # The kind of this entry. Always blogger#commentList
        "prevPageToken": "A String", # Pagination token to fetch the previous page, if one exists.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.